/*
 * ioController.h
 *
 *  Created on: 20.11.2018
 *      Author: Hendrik Schutter
 */

#ifndef SRC_IOCONTROLLER_H_
#define SRC_IOCONTROLLER_H_

class ioController {

private:


public:
	ioController();
	~ioController();
	double get5VProbe();
	double get15VProbe();
	void ports_init();
	void activateChargers();
	void deactivateChargers();
	void setActiveLED(bool pBool);
	void setBuzzer(bool pBool);
	void adc_init(void);
	int readAdc(char chan);
	void setMultiplexer(bool pS2, bool pS1, bool pS0);
};

#endif /* SRC_IOCONTROLLER_H_ */
